net.dontdrinkandroot.utils

## Enum ISO_639_1

- java.lang.Object
- - java.lang.Enum<ISO_639_1>
  - - net.dontdrinkandroot.utils.ISO_639_1

All Implemented Interfaces:
  Serializable, Comparable<ISO_639_1>

    public enum ISO_639_1
    extends Enum<ISO_639_1>

This enumeration implements the following standard:

ISO 639-1:2002, Codes for the representation of names of languages - Part 1: Alpha-2 code, is the first part of the ISO 639 series of international standards for language codes. Part 1 covers the registration of two-letter codes. There are 136 two-letter codes registered. The registered codes cover the world's major languages. These codes are a useful international, and formal, shorthand for indicating languages. (Source: Wikipedia)

Offical list

It is annotated with `XmlEnumValue`s, so it can be de-/serialized using jaxb.

Author:
  Philip Sorst

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AA` Afar.
`AB` Abkhazian.
`AE` Avestan.
`AF` Afrikaans.
`AK` Akan.
`AM` Amharic.
`AN` Aragonese.
`AR` Arabic.
`AS` Assamese.
`AV` Avaric.
`AY` Aymara.
`AZ` Azerbaijani.
`BA` Bashkir.
`BE` Belarusian.
`BG` Bulgarian.
`BH` Bihari languages.
`BI` Bislama.
`BM` Bambara.
`BN` Bengali.
`BO` Tibetan.
`BR` Breton.
`BS` Bosnian.
`CA` Catalan; Valencian.
`CE` Chechen.
`CH` Chamorro.
`CO` Corsican.
`CR` Cree.
`CS` Czech.
`CU` Church Slavic; Old Slavonic; Church Slavonic; Old Bulgarian; Old Church Slavonic.
`CV` Chuvash.
`CY` Welsh.
`DA` Danish.
`DE` German.
`DV` Divehi; Dhivehi; Maldivian.
`DZ` Dzongkha.
`EE` Ewe.
`EL` Greek, Modern (1453-).
`EN` English.
`EO` Esperanto.
`ES` Spanish; Castilian.
`ET` Estonian.
`EU` Basque.
`FA` Persian.
`FF` Fulah.
`FI` Finnish.
`FJ` Fijian.
`FO` Faroese.
`FR` French.
`FY` Western Frisian.
`GA` Irish.
`GD` Gaelic; Scottish Gaelic.
`GL` Galician.
`GN` Guarani.
`GU` Gujarati.
`GV` Manx.
`HA` Hausa.
`HE` Hebrew.
`HI` Hindi.
`HO` Hiri Motu.
`HR` Croatian.
`HT` Haitian; Haitian Creole.
`HU` Hungarian.
`HY` Armenian.
`HZ` Herero.
`IA` Interlingua (International Auxiliary Language Association).
`ID` Indonesian.
`IE` Interlingue; Occidental.
`IG` Igbo.
`II` Sichuan Yi; Nuosu.
`IK` Inupiaq.
`IO` Ido.
`IS` Icelandic.
`IT` Italian.
`IU` Inuktitut.
`JA` Japanese.
`JV` Javanese.
`KA` Georgian.
`KG` Kongo.
`KI` Kikuyu; Gikuyu.
`KJ` Kuanyama; Kwanyama.
`KK` Kazakh.
`KL` Kalaallisut; Greenlandic.
`KM` Central Khmer.
`KN` Kannada.
`KO` Korean.
`KR` Kanuri.
`KS` Kashmiri.
`KU` Kurdish.
`KV` Komi.
`KW` Cornish.
`KY` Kirghiz; Kyrgyz.
`LA` Latin.
`LB` Luxembourgish; Letzeburgesch.
`LG` Ganda.
`LI` Limburgan; Limburger; Limburgish.
`LN` Lingala.
`LO` Lao.
`LT` Lithuanian.
`LU` Luba-Katanga.
`LV` Latvian.
`MG` Malagasy.
`MH` Marshallese.
`MI` Maori.
`MK` Macedonian.
`ML` Malayalam.
`MN` Mongolian.
`MR` Marathi.
`MS` Malay.
`MT` Maltese.
`MY` Burmese.
`NA` Nauru.
`NB` Bokmål, Norwegian; Norwegian Bokmål.
`ND` Ndebele, North; North Ndebele.
`NE` Nepali.
`NG` Ndonga.
`NL` Dutch; Flemish.
`NN` Norwegian Nynorsk; Nynorsk, Norwegian.
`NO` Norwegian.
`NR` Ndebele, South; South Ndebele.
`NV` Navajo; Navaho.
`NY` Chichewa; Chewa; Nyanja.
`OC` Occitan (post 1500); Provençal.
`OJ` Ojibwa.
`OM` Oromo.
`OR` Oriya.
`OS` Ossetian; Ossetic.
`PA` Panjabi; Punjabi.
`PI` Pali.
`PL` Polish.
`PS` Pushto; Pashto.
`PT` Portuguese.
`QU` Quechua.
`RM` Romansh.
`RN` Rundi.
`RO` Romanian; Moldavian; Moldovan.
`RU` Russian.
`RW` Kinyarwanda.
`SA` Sanskrit.
`SC` Sardinian.
`SD` Sindhi.
`SE` Northern Sami.
`SG` Sango.
`SI` Sinhala; Sinhalese.
`SK` Slovak.
`SL` Slovenian.
`SM` Samoan.
`SN` Shona.
`SO` Somali.
`SQ` Albanian.
`SR` Serbian.
`SS` Swati.
`ST` Sotho, Southern.
`SU` Sundanese.
`SV` Swedish.
`SW` Swahili.
`TA` Tamil.
`TE` Telugu.
`TG` Tajik.
`TH` Thai.
`TI` Tigrinya.
`TK` Turkmen.
`TL` Tagalog.
`TN` Tswana.
`TO` Tonga (Tonga Islands).
`TR` Turkish.
`TS` Tsonga.
`TT` Tatar.
`TW` Twi.
`TY` Tahitian.
`UG` Uighur; Uyghur.
`UK` Ukrainian.
`UR` Urdu.
`UZ` Uzbek.
`VE` Venda.
`VI` Vietnamese.
`VO` Volapük.
`WA` Walloon.
`WO` Wolof.
`XH` Xhosa.
`YI` Yiddish.
`YO` Yoruba.
`ZA` Zhuang; Chuang.
`ZH` Chinese.
`ZU` Zulu.

### Method Summary

Methods
`String` `getName()` Retrieve the country name.
`String` `toString()`
`static ISO_639_1` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ISO_639_1[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AA

    public static final ISO_639_1 AA

Afar.

#### AB

    public static final ISO_639_1 AB

Abkhazian.

#### AF

    public static final ISO_639_1 AF

Afrikaans.

#### AK

    public static final ISO_639_1 AK

Akan.

#### SQ

    public static final ISO_639_1 SQ

Albanian.

#### AM

    public static final ISO_639_1 AM

Amharic.

#### AR

    public static final ISO_639_1 AR

Arabic.

#### AN

    public static final ISO_639_1 AN

Aragonese.

#### HY

    public static final ISO_639_1 HY

Armenian.

#### AS

    public static final ISO_639_1 AS

Assamese.

#### AV

    public static final ISO_639_1 AV

Avaric.

#### AE

    public static final ISO_639_1 AE

Avestan.

#### AY

    public static final ISO_639_1 AY

Aymara.

#### AZ

    public static final ISO_639_1 AZ

Azerbaijani.

#### BA

    public static final ISO_639_1 BA

Bashkir.

#### BM

    public static final ISO_639_1 BM

Bambara.

#### EU

    public static final ISO_639_1 EU

Basque.

#### BE

    public static final ISO_639_1 BE

Belarusian.

#### BN

    public static final ISO_639_1 BN

Bengali.

#### BH

    public static final ISO_639_1 BH

Bihari languages.

#### BI

    public static final ISO_639_1 BI

Bislama.

#### BS

    public static final ISO_639_1 BS

Bosnian.

#### BR

    public static final ISO_639_1 BR

Breton.

#### BG

    public static final ISO_639_1 BG

Bulgarian.

#### MY

    public static final ISO_639_1 MY

Burmese.

#### CA

    public static final ISO_639_1 CA

Catalan; Valencian.

#### CH

    public static final ISO_639_1 CH

Chamorro.

#### CE

    public static final ISO_639_1 CE

Chechen.

#### ZH

    public static final ISO_639_1 ZH

Chinese.

#### CU

    public static final ISO_639_1 CU

Church Slavic; Old Slavonic; Church Slavonic; Old Bulgarian; Old Church Slavonic.

#### CV

    public static final ISO_639_1 CV

Chuvash.

#### KW

    public static final ISO_639_1 KW

Cornish.

#### CO

    public static final ISO_639_1 CO

Corsican.

#### CR

    public static final ISO_639_1 CR

Cree.

#### CS

    public static final ISO_639_1 CS

Czech.

#### DA

    public static final ISO_639_1 DA

Danish.

#### DV

    public static final ISO_639_1 DV

Divehi; Dhivehi; Maldivian.

#### NL

    public static final ISO_639_1 NL

Dutch; Flemish.

#### DZ

    public static final ISO_639_1 DZ

Dzongkha.

#### EN

    public static final ISO_639_1 EN

English.

#### EO

    public static final ISO_639_1 EO

Esperanto.

#### ET

    public static final ISO_639_1 ET

Estonian.

#### EE

    public static final ISO_639_1 EE

Ewe.

#### FO

    public static final ISO_639_1 FO

Faroese.

#### FJ

    public static final ISO_639_1 FJ

Fijian.

#### FI

    public static final ISO_639_1 FI

Finnish.

#### FR

    public static final ISO_639_1 FR

French.

#### FY

    public static final ISO_639_1 FY

Western Frisian.

#### FF

    public static final ISO_639_1 FF

Fulah.

#### KA

    public static final ISO_639_1 KA

Georgian.

#### DE

    public static final ISO_639_1 DE

German.

#### GD

    public static final ISO_639_1 GD

Gaelic; Scottish Gaelic.

#### GA

    public static final ISO_639_1 GA

Irish.

#### GL

    public static final ISO_639_1 GL

Galician.

#### GV

    public static final ISO_639_1 GV

Manx.

#### EL

    public static final ISO_639_1 EL

Greek, Modern (1453-).

#### GN

    public static final ISO_639_1 GN

Guarani.

#### GU

    public static final ISO_639_1 GU

Gujarati.

#### HT

    public static final ISO_639_1 HT

Haitian; Haitian Creole.

#### HA

    public static final ISO_639_1 HA

Hausa.

#### HE

    public static final ISO_639_1 HE

Hebrew.

#### HZ

    public static final ISO_639_1 HZ

Herero.

#### HI

    public static final ISO_639_1 HI

Hindi.

#### HO

    public static final ISO_639_1 HO

Hiri Motu.

#### HR

    public static final ISO_639_1 HR

Croatian.

#### HU

    public static final ISO_639_1 HU

Hungarian.

#### IG

    public static final ISO_639_1 IG

Igbo.

#### IS

    public static final ISO_639_1 IS

Icelandic.

#### IO

    public static final ISO_639_1 IO

Ido.

#### II

    public static final ISO_639_1 II

Sichuan Yi; Nuosu.

#### IU

    public static final ISO_639_1 IU

Inuktitut.

#### IE

    public static final ISO_639_1 IE

Interlingue; Occidental.

#### IA

    public static final ISO_639_1 IA

Interlingua (International Auxiliary Language Association).

#### ID

    public static final ISO_639_1 ID

Indonesian.

#### IK

    public static final ISO_639_1 IK

Inupiaq.

#### IT

    public static final ISO_639_1 IT

Italian.

#### JV

    public static final ISO_639_1 JV

Javanese.

#### JA

    public static final ISO_639_1 JA

Japanese.

#### KL

    public static final ISO_639_1 KL

Kalaallisut; Greenlandic.

#### KN

    public static final ISO_639_1 KN

Kannada.

#### KS

    public static final ISO_639_1 KS

Kashmiri.

#### KR

    public static final ISO_639_1 KR

Kanuri.

#### KK

    public static final ISO_639_1 KK

Kazakh.

#### KM

    public static final ISO_639_1 KM

Central Khmer.

#### KI

    public static final ISO_639_1 KI

Kikuyu; Gikuyu.

#### RW

    public static final ISO_639_1 RW

Kinyarwanda.

#### KY

    public static final ISO_639_1 KY

Kirghiz; Kyrgyz.

#### KV

    public static final ISO_639_1 KV

Komi.

#### KG

    public static final ISO_639_1 KG

Kongo.

#### KO

    public static final ISO_639_1 KO

Korean.

#### KJ

    public static final ISO_639_1 KJ

Kuanyama; Kwanyama.

#### KU

    public static final ISO_639_1 KU

Kurdish.

#### LO

    public static final ISO_639_1 LO

Lao.

#### LA

    public static final ISO_639_1 LA

Latin.

#### LV

    public static final ISO_639_1 LV

Latvian.

#### LI

    public static final ISO_639_1 LI

Limburgan; Limburger; Limburgish.

#### LN

    public static final ISO_639_1 LN

Lingala.

#### LT

    public static final ISO_639_1 LT

Lithuanian.

#### LB

    public static final ISO_639_1 LB

Luxembourgish; Letzeburgesch.

#### LU

    public static final ISO_639_1 LU

Luba-Katanga.

#### LG

    public static final ISO_639_1 LG

Ganda.

#### MK

    public static final ISO_639_1 MK

Macedonian.

#### MH

    public static final ISO_639_1 MH

Marshallese.

#### ML

    public static final ISO_639_1 ML

Malayalam.

#### MI

    public static final ISO_639_1 MI

Maori.

#### MR

    public static final ISO_639_1 MR

Marathi.

#### MS

    public static final ISO_639_1 MS

Malay.

#### MG

    public static final ISO_639_1 MG

Malagasy.

#### MT

    public static final ISO_639_1 MT

Maltese.

#### MN

    public static final ISO_639_1 MN

Mongolian.

#### NA

    public static final ISO_639_1 NA

Nauru.

#### NV

    public static final ISO_639_1 NV

Navajo; Navaho.

#### NR

    public static final ISO_639_1 NR

Ndebele, South; South Ndebele.

#### ND

    public static final ISO_639_1 ND

Ndebele, North; North Ndebele.

#### NG

    public static final ISO_639_1 NG

Ndonga.

#### NE

    public static final ISO_639_1 NE

Nepali.

#### NN

    public static final ISO_639_1 NN

Norwegian Nynorsk; Nynorsk, Norwegian.

#### NB

    public static final ISO_639_1 NB

Bokmål, Norwegian; Norwegian Bokmål.

#### NO

    public static final ISO_639_1 NO

Norwegian.

#### NY

    public static final ISO_639_1 NY

Chichewa; Chewa; Nyanja.

#### OC

    public static final ISO_639_1 OC

Occitan (post 1500); Provençal.

#### OJ

    public static final ISO_639_1 OJ

Ojibwa.

#### OR

    public static final ISO_639_1 OR

Oriya.

#### OM

    public static final ISO_639_1 OM

Oromo.

#### OS

    public static final ISO_639_1 OS

Ossetian; Ossetic.

#### PA

    public static final ISO_639_1 PA

Panjabi; Punjabi.

#### FA

    public static final ISO_639_1 FA

Persian.

#### PI

    public static final ISO_639_1 PI

Pali.

#### PL

    public static final ISO_639_1 PL

Polish.

#### PT

    public static final ISO_639_1 PT

Portuguese.

#### PS

    public static final ISO_639_1 PS

Pushto; Pashto.

#### QU

    public static final ISO_639_1 QU

Quechua.

#### RM

    public static final ISO_639_1 RM

Romansh.

#### RO

    public static final ISO_639_1 RO

Romanian; Moldavian; Moldovan.

#### RN

    public static final ISO_639_1 RN

Rundi.

#### RU

    public static final ISO_639_1 RU

Russian.

#### SG

    public static final ISO_639_1 SG

Sango.

#### SA

    public static final ISO_639_1 SA

Sanskrit.

#### SI

    public static final ISO_639_1 SI

Sinhala; Sinhalese.

#### SK

    public static final ISO_639_1 SK

Slovak.

#### SL

    public static final ISO_639_1 SL

Slovenian.

#### SE

    public static final ISO_639_1 SE

Northern Sami.

#### SM

    public static final ISO_639_1 SM

Samoan.

#### SN

    public static final ISO_639_1 SN

Shona.

#### SD

    public static final ISO_639_1 SD

Sindhi.

#### SO

    public static final ISO_639_1 SO

Somali.

#### ST

    public static final ISO_639_1 ST

Sotho, Southern.

#### ES

    public static final ISO_639_1 ES

Spanish; Castilian.

#### SC

    public static final ISO_639_1 SC

Sardinian.

#### SR

    public static final ISO_639_1 SR

Serbian.

#### SS

    public static final ISO_639_1 SS

Swati.

#### SU

    public static final ISO_639_1 SU

Sundanese.

#### SW

    public static final ISO_639_1 SW

Swahili.

#### SV

    public static final ISO_639_1 SV

Swedish.

#### TY

    public static final ISO_639_1 TY

Tahitian.

#### TA

    public static final ISO_639_1 TA

Tamil.

#### TT

    public static final ISO_639_1 TT

Tatar.

#### TE

    public static final ISO_639_1 TE

Telugu.

#### TG

    public static final ISO_639_1 TG

Tajik.

#### TL

    public static final ISO_639_1 TL

Tagalog.

#### TH

    public static final ISO_639_1 TH

Thai.

#### BO

    public static final ISO_639_1 BO

Tibetan.

#### TI

    public static final ISO_639_1 TI

Tigrinya.

#### TO

    public static final ISO_639_1 TO

Tonga (Tonga Islands).

#### TN

    public static final ISO_639_1 TN

Tswana.

#### TS

    public static final ISO_639_1 TS

Tsonga.

#### TK

    public static final ISO_639_1 TK

Turkmen.

#### TR

    public static final ISO_639_1 TR

Turkish.

#### TW

    public static final ISO_639_1 TW

Twi.

#### UG

    public static final ISO_639_1 UG

Uighur; Uyghur.

#### UK

    public static final ISO_639_1 UK

Ukrainian.

#### UR

    public static final ISO_639_1 UR

Urdu.

#### UZ

    public static final ISO_639_1 UZ

Uzbek.

#### VE

    public static final ISO_639_1 VE

Venda.

#### VI

    public static final ISO_639_1 VI

Vietnamese.

#### VO

    public static final ISO_639_1 VO

Volapük.

#### CY

    public static final ISO_639_1 CY

Welsh.

#### WA

    public static final ISO_639_1 WA

Walloon.

#### WO

    public static final ISO_639_1 WO

Wolof.

#### XH

    public static final ISO_639_1 XH

Xhosa.

#### YI

    public static final ISO_639_1 YI

Yiddish.

#### YO

    public static final ISO_639_1 YO

Yoruba.

#### ZA

    public static final ISO_639_1 ZA

Zhuang; Chuang.

#### ZU

    public static final ISO_639_1 ZU

Zulu.

### Method Detail

#### values

    public static ISO_639_1[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ISO_639_1 c : ISO_639_1.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ISO_639_1 valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getName

    public String getName()

Retrieve the country name.

Returns:
  The country name

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<ISO_639_1>`